Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.j3d.math.cover
Class SpanCalculator

    java.lang.Object
      net.sf.j3d.math.cover.SpanCalculator

    public class SpanCalculator

extends Object

Nested Class Summary
`static class` | `SpanCalculator.RowList`

Field Summary
`static boolean` | `verbose`

Constructor Summary
`SpanCalculator(boolean[][][] piece, int x, int y, int z)`

Method Summary
`boolean[][]` | `getRows()`
`static void` | `main(String[] args)`
`static boolean` | `modTest(boolean[] r, boolean[] nr, int d)`
`static void` | `print(boolean[] row)`
`static void` | `print(boolean[][][] piece)`
`static boolean[][][]` | `rotateX(boolean[][][] piece)`
`static boolean[][][]` | `rotateY(boolean[][][] piece)`
`static boolean[][][]` | `rotateZ(boolean[][][] piece)`
`static boolean[][][]` | `swapCols(boolean[][][] piece)`
`static boolean[][][]` | `swapRows(boolean[][][] piece)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### verbose

    public static boolean verbose

Constructor Detail

### SpanCalculator

    public SpanCalculator(boolean[][][] piece,
                          int x,
                          int y,
                          int z)

Method Detail

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

### swapRows

    public static boolean[][][] swapRows(boolean[][][] piece)

### swapCols

    public static boolean[][][] swapCols(boolean[][][] piece)

### rotateX

    public static boolean[][][] rotateX(boolean[][][] piece)

### rotateY

    public static boolean[][][] rotateY(boolean[][][] piece)

### rotateZ

    public static boolean[][][] rotateZ(boolean[][][] piece)

### print

    public static void print(boolean[][][] piece)

### print

    public static void print(boolean[] row)

### getRows

    public boolean[][] getRows()

### modTest

    public static boolean modTest(boolean[] r,
                                  boolean[] nr,
                                  int d)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD